package com.gic.haoban.manage.service.pojo;

import java.io.Serializable;

public class ExternalUserPojo implements Serializable{
	
	private String wxEnterpriseId;
	
	private String name;
	
	private String unionId;
	
	private String avatar;
	
	private String addCreateTime;
	
	private String externalUserId;

	private String wxUserId;
	/**
	 * 好友类型
	 * 1表示该外部联系人是微信用户，2表示该外部联系人是企业微信用户
	 */
	private Integer friendType;
	private String state;

	public Integer getFriendType() {
		return friendType;
	}

	public void setFriendType(Integer friendType) {
		this.friendType = friendType;
	}

	public String getWxEnterpriseId() {
		return wxEnterpriseId;
	}

	public void setWxEnterpriseId(String wxEnterpriseId) {
		this.wxEnterpriseId = wxEnterpriseId;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getUnionId() {
		return unionId;
	}

	public void setUnionId(String unionId) {
		this.unionId = unionId;
	}

	public String getAvatar() {
		return avatar;
	}

	public void setAvatar(String avatar) {
		this.avatar = avatar;
	}

	public String getAddCreateTime() {
		return addCreateTime;
	}

	public void setAddCreateTime(String addCreateTime) {
		this.addCreateTime = addCreateTime;
	}

	public String getExternalUserId() {
		return externalUserId;
	}

	public void setExternalUserId(String externalUserId) {
		this.externalUserId = externalUserId;
	}

	public String getWxUserId() {
		return wxUserId;
	}

	public void setWxUserId(String wxUserId) {
		this.wxUserId = wxUserId;
	}

	public String getState() {
		return state;
	}

	public void setState(String state) {
		this.state = state;
	}
}
